MCPathBasketEngine< RNG, S > Class Template Reference

Pricing engine for path dependent basket options using. More...

`#include <ql/experimental/mcbasket/mcpathbasketengine.hpp>`

Inheritance diagram for MCPathBasketEngine< RNG, S >:
[legend]

## Public Types

typedef McSimulation< MultiVariate, RNG, S >::path_generator_type | path_generator_type
typedef McSimulation< MultiVariate, RNG, S >::path_pricer_type | path_pricer_type
typedef McSimulation< MultiVariate, RNG, S >::stats_type | stats_type
Public Types inherited from McSimulation< MultiVariate, RNG, S >
typedef MonteCarloModel< MultiVariate, RNG, S >::path_generator_type | path_generator_type
typedef MonteCarloModel< MultiVariate, RNG, S >::path_pricer_type | path_pricer_type
typedef MonteCarloModel< MultiVariate, RNG, S >::stats_type | stats_type
typedef MonteCarloModel< MultiVariate, RNG, S >::result_type | result_type

## Public Member Functions

| MCPathBasketEngine (const boost::shared_ptr< StochasticProcessArray > &, Size timeSteps, Size timeStepsPerYear, bool brownianBridge, bool antitheticVariate, bool controlVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)
void | calculate () const
Public Member Functions inherited from McSimulation< MultiVariate, RNG, S >
result_type | value (Real tolerance, Size maxSamples=QL_MAX_INTEGER, Size minSamples=1023) const
| add samples until the required absolute tolerance is reached
result_type | valueWithSamples (Size samples) const
| simulate a fixed number of samples
result_type | errorEstimate () const
| error estimated using the samples simulated so far
const stats_type & | sampleAccumulator (void) const
| access to the sample accumulator for richer statistics
void | calculate (Real requiredTolerance, Size requiredSamples, Size maxSamples) const
| basic calculate method provided to inherited pricing engines

## Protected Member Functions

TimeGrid | timeGrid () const
boost::shared_ptr< path_generator_type > | pathGenerator () const
boost::shared_ptr< path_pricer_type > | pathPricer () const
Protected Member Functions inherited from McSimulation< MultiVariate, RNG, S >
| McSimulation (bool antitheticVariate, bool controlVariate)
virtual boost::shared_ptr< path_pricer_type > | controlPathPricer () const
virtual boost::shared_ptr< path_generator_type > | controlPathGenerator () const
virtual boost::shared_ptr< PricingEngine > | controlPricingEngine () const
virtual result_type | controlVariateValue () const

## Protected Attributes

boost::shared_ptr< StochasticProcessArray > | process_
Size | timeSteps_
Size | timeStepsPerYear_
Size | requiredSamples_
Size | maxSamples_
Real | requiredTolerance_
bool | brownianBridge_
BigNatural | seed_
Protected Attributes inherited from McSimulation< MultiVariate, RNG, S >
boost::shared_ptr< MonteCarloModel< MultiVariate, RNG, S > > | mcModel_
bool | antitheticVariate_
bool | controlVariate_

## Additional Inherited Members

Static Protected Member Functions inherited from McSimulation< MultiVariate, RNG, S >
static Real | maxError (const Sequence &sequence)
static Real | maxError (Real error)

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCPathBasketEngine< RNG, S >

Pricing engine for path dependent basket options using.